Skip to content
Start here

List Requests

client.cloudforceOne.requests.list(RequestListParams { account_id, page, per_page, 8 more } params, RequestOptionsoptions?): SinglePage<ListItem { id, created, priority, 9 more } >
POST/accounts/{account_id}/cloudforce-one/requests

List Requests

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudforce One Write
ParametersExpand Collapse
params: RequestListParams { account_id, page, per_page, 8 more }
account_id: string

Path param: Identifier.

maxLength32
page: number

Body param: Page number of results.

per_page: number

Body param: Number of results per page.

completed_after?: string

Body param: Retrieve requests completed after this time.

formatdate-time
completed_before?: string

Body param: Retrieve requests completed before this time.

formatdate-time
created_after?: string

Body param: Retrieve requests created after this time.

formatdate-time
created_before?: string

Body param: Retrieve requests created before this time.

formatdate-time
request_type?: string

Body param: Requested information from request.

sort_by?: string

Body param: Field to sort results by.

sort_order?: "asc" | "desc"

Body param: Sort order (asc or desc).

One of the following:
"asc"
"desc"
status?: "open" | "accepted" | "reported" | 3 more

Body param: Request Status.

One of the following:
"open"
"accepted"
"reported"
"approved"
"completed"
"declined"
ReturnsExpand Collapse
ListItem { id, created, priority, 9 more }
id: string

UUID.

maxLength36
created: string

Request creation time.

formatdate-time
priority: "routine" | "high" | "urgent"
One of the following:
"routine"
"high"
"urgent"
request: string

Requested information from request.

summary: string

Brief description of the request.

tlp: "clear" | "amber" | "amber-strict" | 2 more

The CISA defined Traffic Light Protocol (TLP).

One of the following:
"clear"
"amber"
"amber-strict"
"green"
"red"
updated: string

Request last updated time.

formatdate-time
completed?: string

Request completion time.

formatdate-time
message_tokens?: number

Tokens for the request messages.

readable_id?: string

Readable Request ID.

status?: "open" | "accepted" | "reported" | 3 more

Request Status.

One of the following:
"open"
"accepted"
"reported"
"approved"
"completed"
"declined"
tokens?: number

Tokens for the request.

List Requests

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const listItem of client.cloudforceOne.requests.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  page: 0,
  per_page: 10,
})) {
  console.log(listItem.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "created": "2022-04-01T00:00:00Z",
      "priority": "routine",
      "request": "Victomology",
      "summary": "DoS attack",
      "tlp": "clear",
      "updated": "2022-04-01T00:00:00Z",
      "completed": "2024-01-01T00:00:00Z",
      "message_tokens": 16,
      "readable_id": "RFI-2022-000001",
      "status": "open",
      "tokens": 0
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "created": "2022-04-01T00:00:00Z",
      "priority": "routine",
      "request": "Victomology",
      "summary": "DoS attack",
      "tlp": "clear",
      "updated": "2022-04-01T00:00:00Z",
      "completed": "2024-01-01T00:00:00Z",
      "message_tokens": 16,
      "readable_id": "RFI-2022-000001",
      "status": "open",
      "tokens": 0
    }
  ]
}